Subject: RE:
From: [email-masked] (John Cerney)

9 Jun 1997 15:32:47 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: John Cerney <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7Bit
X-Mailer: BeyondMail for Windows/Professional 2.3
Original-To: Sergey Okhapkin <[email-masked]>
X-BeyondMail-Priority: 1
Conversation-ID: <01BC7401.E5E80A30@sos>
In-Reply-To: <01BC7401.E5E80A30@sos>
Original-Cc: "[email-masked]" <[email-masked]>
X-Receipt-From-Agent: true
Original-Sender: [email-masked]

>  From: Sergey Okhapkin <[email-masked]>, on 6/8/97 11:48 AM:
>  To: "'John Cerney'" <[email-masked]>
>  Cc: "[email-masked]" <[email-masked]>
>  
>  John Cerney wrote:
>  > <<File: dllcheck.exe>><<File: ATT00004.txt>>
>  > I can verify this. I have seen problems building perl extension lib DLLs 
>  on
>  > windows 95 (not NT) due to garbage characters after the base relocation 
>  section
>  > of the dll. It seems that if the base relocation section is not terminated 
>  by
>  
>  You dllcheck.exe reports "Dll Ok" on NT-built X11 Dlls, and "Invalid 
>  Relocation Size Detected" on the same built on 95.
>  

This is exactly what I have seen. I think you will also find that if you try
and rebuild your Win95 DLL enough times, (usually 2-3 is all it takes) it will
eventually check out OK. The garbage characters sometimes appear at the end of
the relocation section in the DLL, and sometimes they don't.

BTW, sorry for messing up this thread. The subject line on my original reply
was missing.

-John
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".